Skip to main content
GET
/
schema-registry
/
subjects
/
{subject}
/
versions
List Subject Versions
curl --request GET \
  --url https://api.streamkap.com/schema-registry/subjects/{subject}/versions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.streamkap.com/schema-registry/subjects/{subject}/versions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.streamkap.com/schema-registry/subjects/{subject}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  123
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

subject
string
required

Response

Successful Response